Bug 222015 - gphoto2-devel has missing libusb-devel dependency?
gphoto2-devel has missing libusb-devel dependency?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 11:44 EST by Michael J. Chudobiak
Modified: 2013-07-02 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 10:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 394666 None None None Never

  None (edit)
Description Michael J. Chudobiak 2007-01-09 11:44:58 EST
After upgrading to gphoto2-devel-2.3.1-1.fc6, I get:

[root@server2 pkgconfig]# pkg-config --modversion libgphoto2
Package libusb was not found in the pkg-config search path.
Perhaps you should add the directory containing `libusb.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libusb', required by 'libgphoto2_port', not found

which prevented me from compiling gThumb with camera-importing functions.

This was fixed by installing libusb-devel. Perhaps this is a missing dependency.

- Mike
Comment 1 Jindrich Novy 2007-01-18 10:40:53 EST
Fixed in rawhide. Thanks.
Comment 2 Fedora Update System 2007-01-31 11:48:57 EST
gphoto2-2.3.1-3.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.